using AutoMapper;
using Infrastructure.Entities;
using Server.Dto.Request;
using Server.Dto.Response;

namespace Server.Mappers;

public class TrainingProgramProfile : Profile
{
    public TrainingProgramProfile()
    {
        CreateMap<TrainingProgram, ResponseTrainingProgramDto>()
            .ForMember(dest => dest.Id, opt => opt.MapFrom(src => src.Id))
            .ForMember(dest => dest.Name, opt => opt.MapFrom(src => src.Name))
            .ForMember(dest => dest.Description, opt => opt.MapFrom(src => src.Description))
            .ForMember(dest => dest.WeekDuration, opt => opt.MapFrom(src => src.WeekDuration))
            .ForMember(dest => dest.Sessions, opt => opt.MapFrom(src => src.Sessions));

        CreateMap<RequestTrainingProgramDto, TrainingProgram>()
            .ForMember(dest => dest.Name, opt => opt.MapFrom(src => src.Name))
            .ForMember(dest => dest.Description, opt => opt.MapFrom(src => src.Description))
            .ForMember(dest => dest.WeekDuration, opt => opt.MapFrom(src => src.WeekDuration))
            .ForMember(dest => dest.Sessions, opt => opt.MapFrom(src => src.Sessions));
    }
}